National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2008-2137 Detail

Description

The (1) sparc_mmap_check function in arch/sparc/kernel/sys_sparc.c and the (2) sparc64_mmap_check function in arch/sparc64/kernel/sys_sparc.c, in the Linux kernel 2.4 before 2.4.36.5 and 2.6 before 2.6.25.3, omit some virtual-address range (aka span) checks when the mmap MAP_FIXED bit is not set, which allows local users to cause a denial of service (panic) via unspecified mmap calls.

Source:  MITRE      Last Modified:  05/29/2008

Quick Info

CVE Dictionary Entry:
CVE-2008-2137
Original release date:
05/29/2008
Last revised:
08/07/2017
Source:
US-CERT/NIST

Impact

CVSS Severity (version 2.0):
CVSS v2 Base Score:
4.4 MEDIUM
Vector:
(AV:L/AC:M/Au:N/C:P/I:P/A:P) (legend)
Impact Subscore:
6.4
Exploitability Subscore:
3.4
CVSS Version 2 Metrics:
Access Vector:
Locally exploitable
Access Complexity:
Medium
Authentication:
Not required to exploit
Impact Type:
Provides unauthorized access, Allows partial confidentiality, integrity, and availability violation; Allows unauthorized disclosure of information; Allows disruption of service

Vendor Statements (disclaimer)

Official Statement from Red Hat (07/02/2008)

Not vulnerable. Red Hat Enterprise Linux 2.1, 3, 4, and 5 do not ship for the SPARC architecture.

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource Type Source Name
http://kerneltrap.org/mailarchive/git-commits-head/2008/5/8/1760604 Exploit External Source MLIST [git-commits-head] 20080507 sparc: Fix mmap VA span checking.
http://www.debian.org/security/2008/dsa-1588 External Source DEBIAN DSA-1588
http://www.kernel.org/pub/linux/kernel/v2.4/ChangeLog-2.4.36.5 External Source CONFIRM http://www.kernel.org/pub/linux/kernel/v2.4/ChangeLog-2.4.36.5
http://www.kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.25.3 External Source CONFIRM http://www.kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.25.3
http://www.securityfocus.com/bid/29397 External Source BID 29397
http://www.securitytracker.com/id?1020119 External Source SECTRACK 1020119
http://www.ubuntu.com/usn/usn-625-1 External Source UBUNTU USN-625-1
http://www.vupen.com/english/advisories/2008/1716/references External Source VUPEN ADV-2008-1716
https://exchange.xforce.ibmcloud.com/vulnerabilities/42681 External Source XF linux-kernel-mmap-dos(42681)

Technical Details

Vulnerability Type (View All)

  • Permissions, Privileges, and Access Control (CWE-264)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
OR
cpe:2.3:o:debian:debian_linux:4.0:*:sparc:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.0:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.1:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.2:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.3:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.4:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.5:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.6:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.7:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.8:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.9:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.10:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.11:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.11.4:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.11.5:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.11.6:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.11.7:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.11.8:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.11.11:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.11.12:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.12:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.12.1:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.12.2:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.12.3:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.12.4:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.12.5:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.12.6:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.12.12:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.12.22:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.13:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.13.1:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.13.2:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.13.3:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.13.4:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.14:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.14.1:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.14.2:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.14.3:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.14.4:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.14.5:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.15:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.15.1:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.15.2:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.15.3:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.15.4:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.15.5:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.15.11:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.16:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.16.13:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.16.27:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.17:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.17.1:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.17.2:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.17.3:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.17.5:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.17.6:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.17.7:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.17.8:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.17.10:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.17.11:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.17.12:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.17.13:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.17.14:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.18:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.18.1:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.18.3:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.18.4:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.19.0:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.19.1:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.19.2:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.20:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.20.1:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.20.2:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.20.3:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.20.4:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.20.5:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.20.8:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.20.9:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.20.11:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.20.13:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.20.15:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.21:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.21.1:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.21.2:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.21.4:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.21.6:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.21.7:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.22:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.22.3:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.22.4:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.22.5:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.22.6:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.22.7:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.22.8:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.22.11:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.22.12:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.22.13:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.22.14:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.22.15:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.22.16:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.22.17:*:*:*:*:*:*:*
Showing 100 of 116 CPEs, view all CPEs here.

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History 2 change records found - show changes